import { ColDef } from 'ag-grid-community';
export declare class CsvExporterOptions {
    fieldSeparator: string;
    filename: string;
    quoteStrings: string;
    showLabels: boolean;
    headerConfig: string[] | ColDef[];
    get headers(): string[];
    constructor(options?: Partial<CsvExporterOptions>);
}
export declare class CsvExporter<T> {
    private options;
    private _i18n;
    constructor(colDefs: ColDef[]);
    constructor(options: CsvExporterOptions);
    constructor(colDefs: ColDef[], options: CsvExporterOptions);
    private get i18n();
    export(data: T[]): void;
    private exportRow;
}
